﻿/*
* Copyright 2011 Benjamin Thomas Daniel Newman
*
*   Licensed under the Apache License, Version 2.0 (the "License");
*   you may not use this file except in compliance with the License.
*   You may obtain a copy of the License at
*
*       http://www.apache.org/licenses/LICENSE-2.0
*
*   Unless required by applicable law or agreed to in writing, software
*   distributed under the License is distributed on an "AS IS" BASIS,
*   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
*   See the License for the specific language governing permissions and
*   limitations under the License.
*/
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO;

namespace eyurale
{
    public partial class SerialLog : Form
    {
        SaveFileDialog dialog = new SaveFileDialog();
        Stream fout;

        public SerialLog()
        {
            InitializeComponent();
            menuStrip1.Hide(); /* save not completed */
        }

        public void LogLine(string line)
        {
            textlog.Items.Add(line);
            textlog.SelectedIndex = textlog.Items.Count - 1;
        }

        private void SerialLog_FormClosing(object sender, FormClosingEventArgs e)
        {
            if (e.CloseReason == CloseReason.UserClosing)
            {
                this.Hide();
                e.Cancel = true;
            }

            return;
        }

        private void saveAsToolStripMenuItem_Click(object sender, EventArgs e)
        {
            DialogResult result;

            dialog.RestoreDirectory = true;

            result = dialog.ShowDialog(this);

            if (result == DialogResult.OK)
            {
                if ((fout = dialog.OpenFile()) != null)
                {
                    //foreach(ListBox.ObjectCollection i in textlog.Items)
                       //fout.Write(i, 0, sizeof(if)
                    fout.Close();
                }

            }
                

        }

    }
}
